Acquire universe
curl --request POST \
--url https://api.klavis.ai/universes/{universe_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/universes/{universe_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/universes/{universe_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/universes/{universe_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"instance_id": "<string>",
"mcp_servers": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Universe
Acquire universe
Acquire the next idle universe instance.
POST
/
universes
/
{universe_id}
Acquire universe
curl --request POST \
--url https://api.klavis.ai/universes/{universe_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/universes/{universe_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/universes/{universe_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/universes/{universe_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"instance_id": "<string>",
"mcp_servers": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
